summaryrefslogtreecommitdiff
path: root/docker/start
diff options
context:
space:
mode:
authorAndreas Baumann <mail@andreasbaumann.cc>2019-11-17 20:57:39 +0100
committerAndreas Baumann <mail@andreasbaumann.cc>2019-11-17 20:57:39 +0100
commit3b06ee0d381dc1be5f40ca98ad4278046d869d21 (patch)
treed31e79fc57d882b8267f40c3434480bb58a3ca73 /docker/start
downloadfluxbb-3b06ee0d381dc1be5f40ca98ad4278046d869d21.tar.xz
checked in initial customized verison for Archlinux32HEADmaster
Diffstat (limited to 'docker/start')
-rwxr-xr-xdocker/start12
1 files changed, 12 insertions, 0 deletions
diff --git a/docker/start b/docker/start
new file mode 100755
index 0000000..921b80f
--- /dev/null
+++ b/docker/start
@@ -0,0 +1,12 @@
+#!/usr/bin/env bash
+
+pushd $(dirname $BASH_SOURCE)
+
+if [[ -n "$(docker-compose ps -q)" ]]; then
+ echo "Service already running" >&2
+ exit 1
+fi
+
+docker-compose up --build -d
+docker-compose exec db mysqladmin -uroot --wait=10 ping
+docker-compose exec db mysqladmin -uroot create fluxbb